# This file created by conda-build 3.9.1+193.gd10dbde.dirty
# meta.yaml template originally from:
# /Users/rdonnelly/conda/aggregate/thinc-feedstock/recipe, last modified Sun Jul  8 14:45:15 2018
# ------------------------------------------------

package:
    name: thinc
    version: 6.11.2
source:
    fn: thinc-6.11.2.tar.gz
    patches:
        - patches/0001-Don-t-force-bitness-of-output-binaries.patch
        - patches/0002-Fix-link-command-generation-for-THINC_BLAS.patch
    sha256: 028a014192e1914c151222794781d14e1c9fddf47a859aa36077f07871d0c30a
    url: https://pypi.io/packages/source/t/thinc/thinc-6.11.2.tar.gz
build:
    missing_dso_whitelist:
        - libcudart.so.9.1
    number: '1'
    script:
        - export THINC_BLAS=$PREFIX/lib/libopenblas.dylib
        - python setup.py install --single-version-externally-managed --record=record.txt
    string: py27hde7755b_1
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - clangxx 4.0.1 hc9b4283_0
        - clangxx_osx-64 4.0.1 h22b1bf0_11
        - compiler-rt 4.0.1 h5487866_0
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
    host:
        - blas 1.0 mkl
        - ca-certificates 2018.03.07 0
        - certifi 2018.4.16 py27_0
        - intel-openmp 2018.0.3 0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libedit 3.1.20170329 hb402a30_2
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libopenblas 0.2.20 hdc02c5d_7
        - mkl 2018.0.3 1
        - ncurses 6.1 h0a44026_0
        - numpy 1.11.3 py27h648b28d_8
        - numpy-base 1.11.3 py27ha9ae307_8
        - openblas-devel 0.2.20 7
        - openssl 1.0.2o h26aff7b_0
        - python 2.7.15 h138c1fe_0
        - readline 7.0 hc1231fa_4
        - setuptools 39.2.0 py27_0
        - sqlite 3.24.0 ha441bb4_0
        - tk 8.6.7 h35a86e2_3
        - zlib 1.2.11 hf3cbc9b_2
    run:
        - blas 1.0 openblas
        - cymem >=1.30,<1.32
        - cytoolz
        - dill >=0.2.7,<0.3.0
        - libcxx >=4.0.1
        - libopenblas >=0.2.20,<0.2.21.0a0
        - msgpack-numpy >=0.4.1
        - msgpack-python >=0.5.6
        - murmurhash >=0.28,<0.30
        - numpy >=1.11.3,<2.0a0
        - pathlib >=1.0.0,<2.0.0
        - plac >=0.9,<1.0
        - preshed >=1.0.0,<2.0.0
        - python >=2.7,<2.8.0a0
        - six
        - termcolor >=1.1.0,<1.2.0
        - tqdm >=4.10.0,<5.0.0
        - wrapt >=1.10.10,<1.11.0
test:
    imports:
        - thinc
        - thinc.api
        - thinc.extra
        - thinc.extra._vendorized
        - thinc.linear
        - thinc.neural
        - thinc.neural._classes
    requires:
        - hypothesis
        - mock
        - nomkl
        - pytest
about:
    description: "thinc is a Cython library for learning models with millions of parameters\n\
        and dozens of classes. It drives https://spacy.io , a pipeline of very\nefficient\
        \ NLP components. I\u2019ve only used thinc from Cython; no real Python\n\
        API is currently available.\n"
    dev_url: https://github.com/explosion/thinc
    home: https://github.com/explosion/thinc/
    license: MIT
    license_file: LICENSE
    summary: 'thinc: Learn super-sparse multi-class models'
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - rmax
